Skip to main content
GET
/
v2.01
/
{ClientId}
/
wallets
/
{WalletId}
/
disputes
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
  clientId: 'your-client-id',
  clientApiKey: 'your-api-key',
})

let myWallet = {
  Id: '148968396',
}

const listWalletDisputes = async (walletId) => {
  return await mangopay.Disputes.getDisputesForWallet(walletId)
    .then((response) => {
      console.info(response)
      return response
    })
    .catch((err) => {
      console.log(err)
      return false
    })
}

listWalletDisputes(myWallet.Id)
  
require 'mangopay'

MangoPay.configure do |client|
    client.preproduction = true
    client.client_id = 'your-client-id'
    client.client_apiKey = 'your-api-key'
    client.log_file = File.join(Dir.pwd, 'mangopay.log')
end

def listWalletDisputes(walletId)
    begin
        response = MangoPay::Dispute.fetch_for_wallet(walletId)
        puts response
        return response
    rescue MangoPay::ResponseError => error
        puts "Failed to fetch Dispute: #{error.message}"
        puts "Error details: #{error.details}"
        return false
    end
end

myWallet = {
    Id: '194579906'
}

listWalletDisputes(myWallet[:Id])  
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Dispute;
import java.util.List;

public class ListWalletDisputes {
    public static void main(String[] args) throws Exception {
        MangoPayApi mangopay = new MangoPayApi();
         mangopay.getConfig().setClientId("your-client-id");
        mangopay.getConfig().setClientPassword("your-api-key");

        var walletId = "wlt_m_01HT2J9Q2M6GMFW4Z7GYBAFJ4T";

        List<Dispute> disputes = mangopay.getDisputeApi().getDisputesForWallet(walletId, null, null, null);

        for (Dispute dispute : disputes) {
            Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
            String prettyJson = prettyPrint.toJson(dispute);

            System.out.println(prettyJson);
        }
    }
}
from pprint import pprint
import mangopay

mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'

from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)

from mangopay.resources import Wallet

user_wallet = Wallet.get('wlt_m_01HQT7AS0FJPGYXDXJ0R151NBV')

disputes = user_wallet.disputes.all()

for dispute in disputes:
    print()
    pprint(dispute._vars)  
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;

class Program
{
    static async Task Main(string[] args)
    {
        MangoPayApi api = new MangoPayApi();

        api.Config.ClientId = "your-client-id";
        api.Config.ClientPassword = "your-api-key";
        
        var walletId = "wlt_m_01J30991BXBB7VF28PBS82EWD3";
        
        var disputes = await api.Disputes.GetDisputesForWalletAsync(walletId, new Pagination(1, 100), null);

        string prettyPrint = JsonConvert.SerializeObject(disputes, Formatting.Indented);
        Console.WriteLine(prettyPrint);
    }
}
[
    {
        "InitialTransactionId": "158596153",
        "InitialTransactionType": "PAYIN",
        "InitialTransactionNature": "REGULAR",
        "DisputeType": "CONTESTABLE",
        "ContestDeadlineDate": 1673049599,
        "DisputedFunds": {
            "Currency": "EUR",
            "Amount": 1200
        },
        "ContestedFunds": {
            "Currency": "EUR",
            "Amount": 1200
        },
        "Status": "PENDING_CLIENT_ACTION",
        "StatusMessage": null,
        "DisputeReason": {
            "DisputeReasonMessage": "This is a test dispute",
            "DisputeReasonType": "UNKNOWN"
        },
        "ResultCode": "",
        "ResultMessage": null,
        "Id": "159102965",
        "Tag": null,
        "CreationDate": 1672411848,
        "ClosedDate": 1675260940,
        "RepudiationId": "159102966"
    }
]  

Path parameters

WalletId
string
required
The unique identifier of the wallet.

Query parameters

BeforeDate
Unix timestamp
The date before which the object was created (based on the object’s CreationDate parameter). You can filter on a specific time range by using both the AfterDate and BeforeDate query parameters.
AfterDate
Unix timestamp
The date after which the object was created (based on the object’s CreationDate parameter). You can filter on a specific time range by using both the AfterDate and BeforeDate query parameters.
Status
string
Allowed values: CREATED, PENDING_CLIENT_ACTION, SUBMITTED, PENDING_BANK_ACTION, CLOSED, REOPENED_PENDING_CLIENT_ACTIONThe status of the Dispute. You can filter on multiple values by separating them with a comma.
DisputeType
string
Allowed values: CONTESTABLE, NOT_CONTESTABLE, RETRIEVALThe type of the Dispute. You can filter on multiple values by separating them with a comma.

Responses

Array (Disputes)
array
The list of disputes automatically created by Mangopay.
[
    {
        "InitialTransactionId": "158596153",
        "InitialTransactionType": "PAYIN",
        "InitialTransactionNature": "REGULAR",
        "DisputeType": "CONTESTABLE",
        "ContestDeadlineDate": 1673049599,
        "DisputedFunds": {
            "Currency": "EUR",
            "Amount": 1200
        },
        "ContestedFunds": {
            "Currency": "EUR",
            "Amount": 1200
        },
        "Status": "PENDING_CLIENT_ACTION",
        "StatusMessage": null,
        "DisputeReason": {
            "DisputeReasonMessage": "This is a test dispute",
            "DisputeReasonType": "UNKNOWN"
        },
        "ResultCode": "",
        "ResultMessage": null,
        "Id": "159102965",
        "Tag": null,
        "CreationDate": 1672411848,
        "ClosedDate": 1675260940,
        "RepudiationId": "159102966"
    }
]  

const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
  clientId: 'your-client-id',
  clientApiKey: 'your-api-key',
})

let myWallet = {
  Id: '148968396',
}

const listWalletDisputes = async (walletId) => {
  return await mangopay.Disputes.getDisputesForWallet(walletId)
    .then((response) => {
      console.info(response)
      return response
    })
    .catch((err) => {
      console.log(err)
      return false
    })
}

listWalletDisputes(myWallet.Id)
  
require 'mangopay'

MangoPay.configure do |client|
    client.preproduction = true
    client.client_id = 'your-client-id'
    client.client_apiKey = 'your-api-key'
    client.log_file = File.join(Dir.pwd, 'mangopay.log')
end

def listWalletDisputes(walletId)
    begin
        response = MangoPay::Dispute.fetch_for_wallet(walletId)
        puts response
        return response
    rescue MangoPay::ResponseError => error
        puts "Failed to fetch Dispute: #{error.message}"
        puts "Error details: #{error.details}"
        return false
    end
end

myWallet = {
    Id: '194579906'
}

listWalletDisputes(myWallet[:Id])  
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Dispute;
import java.util.List;

public class ListWalletDisputes {
    public static void main(String[] args) throws Exception {
        MangoPayApi mangopay = new MangoPayApi();
         mangopay.getConfig().setClientId("your-client-id");
        mangopay.getConfig().setClientPassword("your-api-key");

        var walletId = "wlt_m_01HT2J9Q2M6GMFW4Z7GYBAFJ4T";

        List<Dispute> disputes = mangopay.getDisputeApi().getDisputesForWallet(walletId, null, null, null);

        for (Dispute dispute : disputes) {
            Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
            String prettyJson = prettyPrint.toJson(dispute);

            System.out.println(prettyJson);
        }
    }
}
from pprint import pprint
import mangopay

mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'

from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)

from mangopay.resources import Wallet

user_wallet = Wallet.get('wlt_m_01HQT7AS0FJPGYXDXJ0R151NBV')

disputes = user_wallet.disputes.all()

for dispute in disputes:
    print()
    pprint(dispute._vars)  
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;

class Program
{
    static async Task Main(string[] args)
    {
        MangoPayApi api = new MangoPayApi();

        api.Config.ClientId = "your-client-id";
        api.Config.ClientPassword = "your-api-key";
        
        var walletId = "wlt_m_01J30991BXBB7VF28PBS82EWD3";
        
        var disputes = await api.Disputes.GetDisputesForWalletAsync(walletId, new Pagination(1, 100), null);

        string prettyPrint = JsonConvert.SerializeObject(disputes, Formatting.Indented);
        Console.WriteLine(prettyPrint);
    }
}